Bug 421981 - flash-plugin -> pulseaudio with no sound device crashes browser
flash-plugin -> pulseaudio with no sound device crashes browser
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
8
All Linux
medium Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks: flash_el4
  Show dependency treegraph
 
Reported: 2007-12-12 12:00 EST by Warren Togami
Modified: 2008-12-18 10:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 10:22:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2007-12-12 12:00:38 EST
pulseaudio-0.9.7-0.17.svn20071017.fc8
libflashsupport-000-0.1.svn20070904
flash-plugin-9.0.115.0-release
(Also happens similarly with nspluginwrapper installed.  Browser wont crash, but
it does crash npviewer.bin.)

#0  0x0012d402 in __kernel_vsyscall ()
#1  0x00319891 in raise () from /lib/libpthread-2.7.so
#2  0x08059992 in ?? ()
#3  <signal handler called>
#4  0x0012d402 in __kernel_vsyscall ()
#5  0x00c28690 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x00c29f91 in abort () at abort.c:88
#7  0x00c2193e in __assert_fail (assertion=0x2f80e2e "pcm->stream",
file=0x2f80de0 "pcm_pulse.c", line=115, function=0x2f8106a "pulse_stop") at
assert.c:78
#8  0x02f7fc8c in ?? () from /usr/lib/alsa-lib/libasound_module_pcm_pulse.so
#9  0x01cb0467 in snd_pcm_ioplug_drop (pcm=0x9aa0710) at pcm_ioplug.c:447
#10 0x01c6a1d2 in snd_pcm_drop (pcm=0x9aa0710) at pcm.c:1068
#11 0x01c71575 in snd_pcm_close (pcm=0x9aa0710) at pcm.c:696
#12 0x04311f11 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#13 0x04312644 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#14 0x045b1871 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#15 0x045b1ac7 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#16 0x045eed97 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#17 0x04608cc9 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#18 0x04609528 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#19 0x0460ebd3 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#20 0x0466a2e7 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#21 0x042e463b in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#22 0x0420801e in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#23 0x009438c6 in g_timeout_dispatch (source=0x987b220, callback=0x6,
user_data=0xb108e000) at gmain.c:3488
#24 0x0094310c in IA__g_main_context_dispatch (context=0x8fc2d50) at gmain.c:2061
#25 0x0094654f in g_main_context_iterate (context=0x8fc2d50, block=1,
dispatch=1, self=0x8fa2540) at gmain.c:2694
#26 0x009468f9 in IA__g_main_loop_run (loop=0x91a0a18) at gmain.c:2898
#27 0x00485ae4 in IA__gtk_main () at gtkmain.c:1146
#28 0x05ab983f in ?? () from /usr/lib/firefox-2.0.0.10/components/libwidget_gtk2.so
#29 0x03d9a306 in ?? () from /usr/lib/firefox-2.0.0.10/components/libtoolkitcomps.so
#30 0x0804fb7d in __cxa_pure_virtual ()
#31 0x0804aca0 in __cxa_pure_virtual ()
#32 0x00c15390 in __libc_start_main (main=0x804ac74 <__cxa_pure_virtual+312>,
argc=1, ubp_av=0xbff208b4, init=0x8059e10, fini=0x8059e00, rtld_fini=0x11e940
<_dl_fini>, 
    stack_end=0xbff208ac) at libc-start.c:220
#33 0x0804abc1 in __cxa_pure_virtual ()
Comment 1 Bug Zapper 2008-11-26 03:58:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Lennart Poettering 2008-12-18 10:22:24 EST
I think this has been fixed quite a while back. Feel free to reopen if problem persists.

Note You need to log in before you can comment on or make changes to this bug.